<?xml version="1.0" encoding="UTF-8"?><!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- IBM UrbanCode Deploy
- IBM UrbanCode Release
- IBM AnthillPro
- (c) Copyright IBM Corporation 2002, 2016. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
--><pluginInfo>
  <!--

  **author name IS required**

  The Author Section is used to give credit to the author of the plugin.
  Name is the only required element/attribute, but feel free to also include your email,
  website  or bio to allow users of your plugin to praise your work, ask questions
  or share their use case to help grow your plugin's functionality.
  -->

  <author name="UrbanCode">
    <organization>UrbanCode</organization>
    <email>info@urbancode.com</email>
    <website>http://urbancode.com</website>
    <bio/>
  </author>

  <!--

  **intergration type IS Required**

  The integration type section identifies where the plugin fits into the process
  excepted types are SCM, Build, Artifact, Automation, Deploy

  For example:

  The plugin pulls Artifacts from an artifact repository during deployment
  the Type would be "Artifact"
  or
  The plugin deploys to a middleware server
  the Type would be "Deploy"
  -->

  <integration type="Automation"/>


  <!--
  **source is NOT required**

  The source section identifies the location of the plugin source code
  For example
  https://github.com/...
  -->

  <source url=""/>

  <!--
  **license type is NOT required**

  If your plugin uses any licensed software please acknowledge it by
  listing the license type below
  -->

  <licenses>
    <license type=""/>
  </licenses>

  <!--
  **tool-description IS required**

  The tool-description section is used to summarize the software
  the plugin was created to integrate with.

  For example:
  Apache Ant is a software tool to automate software processes during the build or
  deployment of an application. Ant uses an propitiatory XML file to define build
  and/or deployment steps(referred to as targets by ant) . The Ant executable is
  called to execute the targets in the build.xml.
  -->

  <tool-description>
 Developed by UrbanCode, for z/OS.</tool-description>

  <release-version>31.945624</release-version>


  <release-notes>
    <release-note plugin-version="1">
      Used to do zOS deployment
    </release-note>
    <release-note plugin-version="5">
        In version 5
        Toolkit Home property is removed.
        Deployment Base Path property is made optional.
        TSO command step is updated to support custom property
    </release-note>
    <release-note plugin-version="7">
        In version 7
        The artifact iteration function is removed from the TSO command step.
        It is suggested to use Generate Artifact Information step to generate
        the commands and pass to TSO step to execute.
    </release-note>
    <release-note plugin-version="8">
        Run MVS Command step is added.
    </release-note>
    <release-note plugin-version="9">
        Submit job step is enhanced to allow submitting multiple jobs.
    </release-note>
    <release-note plugin-version="10">
        Following changes are made to the Deploy Data Set step.

        Added an option to prohibit creating new data sets when deploy.

        Removed Use Environment PDS Mapping checkbox and Environment PDS Mapping field to
        normalize all mapping rules to the PDS Mapping field.
        PDS Mapping field is automatically upgraded to use ${p:deploy.env.pds.mapping}
        as its default value. For processes which only uses in step PDS Mapping or
        Environment PDS Mapping, no change is needed. For processes which uses a combination
        of in step PDS Mapping and Environment PDS Mapping, please append
        ${p:deploy.env.pds.mapping} as a new line to the in step PDS Mapping field.
    </release-note>
    <release-note plugin-version="11">
        NOTE: UrbanCode Deploy Server 6.1.1.5 or IBM UrbanCode Deploy Versioned File Storage plug-in v22 is a prerequisite.

        Updated Copy Artifacts step and FTP Artifacts step to do additional validation for versions stored in CodeStation.
        Added new template process for downloading artifacts from UrbanCode Deploy server CodeStation.
    </release-note>
    <release-note plugin-version="12">
        Updated Submit Job and Wait For Job steps to allow passticket authentication.
    </release-note>
    <release-note plugin-version="13">
        Updated Generate Artifact Info step so that it works for versions which have not been deployed. To benefit from this
        enhancement, versions have to be created with UrbanCode Deploy v6.1.1.6 and later.
        Updated Rollback Data Sets step so that added data set members will be deleted during rollback.
        Fixed an issue where rollback of a new deployed module reports error.
    </release-note>
    <release-note plugin-version="14">
        Fixed an issue where deploy data set and rollback data set requires data set ALTER privilege when unnecessary.
    </release-note>
    <release-note plugin-version="15">
        Updated Generate Artifact Info step to support sequential data set and data set deletion.
        Updated Generate Artifact Info step to add an option to fail the step when no result is generated. A count output property
        is also added to store the number of artifacts being generated.
        Updated Replace Tokens MVS step to allow updates to a data set which is opened by other readers. The step now uses DISP=SHR
         to open the data set for output.
    </release-note>
    <release-note plugin-version="16">
        Updated Submit Job step to support a default job statement.
        Enhanced help for data set allocation steps
    </release-note>
    <release-note plugin-version="17">
        Fixed an issue where Submit Job failed to use PassTicket authentication.
        Enhanced help for Submit Job and Wait For Job steps.
    </release-note>
    <release-note plugin-version="18">
    	NOTE: IBM UrbanCode Deploy Versioned File Storage plug-in v24 is a prerequisite.
        Fixed a problem when deploying a component to multiple resources resolving to the same agent.
    </release-note>
    <release-note plugin-version="19">
        Updated Deploy Data Sets step so that a backup will not be taken again when re-deploying the same version.
    </release-note>
    <release-note plugin-version="20">
        Updated FTP Artifact step to allow passticket authentication
        Updated Replace Tokens MVS step to support sequential data set
        Updated Submit Job step to support submitting multiple input JCLs
    </release-note>
    <release-note plugin-version="21">
        Support deployment of generic artifacts. Generic artifacts are changes which are not physical files. See knowledge center for how to create generic artifacts version using ship list.
        Updated Generate Artifact Information step to allow regular expressions in filters.
        Updated UI text in multiple steps to use Data set instead of PDS since we also support sequential data set.
    </release-note>
    <release-note plugin-version="22">
        Fixed APAR PI57417. Plug-in now checks the agent settings for acceptance of self signed certificates.
        Improved error message in Deploy Data Sets step when permission problem occurs.
    </release-note>
    <release-note plugin-version="23">
        Fixed and problem when replacing tokens in VB data sets.
    </release-note>
    <release-note plugin-version="24">
        Updated Rollback Data Sets step to prevent risky rollbacks.  
    </release-note>
    <release-note plugin-version="25">
        Updated Deploy Data Sets, Rollback Data Sets and Generate Artifact Information steps to 
        support the deployment of both MVS data sets and HFS files in a single component version.
        NOTE: IBM UrbanCode Deploy Server 6.2.2 and same level of zOS deployment tools are required
        to create component versions containing both MVS data sets and HFS files. 
     	Updated Deploy Data Sets step to allow disable backup function.
    </release-note>
    <release-note plugin-version="26">
     	Updated Generate Artifact Information step to support order by.
    </release-note>
    <release-note plugin-version="27">
        Added support for encrypted input and output properties.
        Updated Replace Tokens MVS step to preserve ISPF statistics.
        Fixed bugs.
    </release-note>
    <release-note plugin-version="28">
        Fixed a problem in Replace Tokens MVS step which may cause failure when running multiple
        replacement steps concurrently.
        Fixed a problem in Replace Tokens MVS step when using wildcard.
    </release-note>
    <release-note plugin-version="29">
        Fixed a problem in Deploy Data Sets step log.
    </release-note>
    <release-note plugin-version="30">
        Updated Deploy Data Sets step to support versions with source information. 
    </release-note>
    <release-note plugin-version="31">
        Updated Deploy Data Sets step and Rollback Data Sets step to support full versions.
        Fixed a problem that Submit Job throws exception when timeout.
    </release-note>  
  </release-notes>
</pluginInfo>